Table of Contents

Class: ProxiedParticipant | Twisted-0.17.4/twisted/words/tendril.py
--- | ---

I'm the client of a participant who is connected through Tendril.

Base Classes |
--- | ---
wordsService.WordsClientInterface styles.Ephemeral

Methods |
--- | ---
__init__ receiveDirectMessage setNick
| __init__

    __init__ (
            self,
            tendril,
            nickname,
            )

| receiveDirectMessage

    receiveDirectMessage (
            self,
            sender,
            message,
            metadata=None,
            )

Pass this message through tendril to my IRC counterpart.

| setNick

    setNick ( self,  nickname )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:59 2002 by HappyDoc version 2.0